using adas_core.Domain.Enums;

namespace adas_core.Application.Exceptions;

public class CustomArgumentException : Exception
{
    public CustomArgumentException(HttpEnum.ErrorMessage message) : base(((int)message).ToString())
    {
    }

    public CustomArgumentException(string message) : base(message)
    {
    }
}